Updates the specified `FeatureConfig` resource. This method
supports [patch semantics](https://docs.cloud.google.com/storage/docs/json_api.md.txt#patch).

## Required permissions

To use this method, the authenticated user must have the
`storage.featureConfigs.update` IAM permission.

## Request

### HTTP request

```
PATCH https://storage.googleapis.com/v2/projects/project/locations/global/featureConfigs/featureConfigId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `project` | `string` | The project ID or number to which the feature configuration belongs. |
| `featureConfigId` | `string` | The ID of the feature configuration to update. |
| **Query parameters** |||
| `updateMask` | ``string (`FieldMask` format)`` | *Optional.* Comma-separated list of fields to update. If omitted, all populated fields in the request body are updated. Use `*` to perform a full replacement. |
| `requestId` | `string` | *Optional.* A UUID for idempotent requests. |

### Request body

In the request body, supply a [FeatureConfig resource](https://docs.cloud.google.com/storage/docs/json_api/v1/featureConfigs.md.txt#resource) with the fields you want to update.

## Response

If successful, this method returns a [long-running operation](https://docs.cloud.google.com/storage/docs/using-long-running-operations.md.txt)
in the response body which completes with an instance of [FeatureConfig](https://docs.cloud.google.com/storage/docs/json_api/v1/featureConfigs.md.txt#resource).